Bug 1302681 (CVE-2016-2041)

Summary: CVE-2016-2041 phpMyAdmin: Unsafe comparison of XSRF/CSRF token (PMASA-2016-5)
Product: [Other] Security Response Reporter: Robert Scheck <redhat-bugzilla>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anemec, ccoleman, dmcphers, jialiu, joelsmith, jokerman, kseifried, lmeyer, mmccomas, redhat-bugzilla, tdawson
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: All   
Whiteboard:
Fixed In Version: phpMyAdmin-4.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-28 14:47:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1302790, 1302791, 1302792    
Bug Blocks:    

Description Robert Scheck 2016-01-28 11:39:10 UTC
Description:
The comparison of the XSRF/CSRF token parameter with the value saved in the 
session is vulnerable to timing attacks. Moreover, the comparison could be 
bypassed if the XSRF/CSRF token matches a particular pattern.

External References:
https://www.phpmyadmin.net/security/PMASA-2016-5/

Comment 2 Adam Mariš 2016-01-28 16:17:16 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1302790]
Affects: epel-all [bug 1302791]

Comment 3 Fedora Update System 2016-02-01 06:20:30 UTC
phpMyAdmin-4.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-03 20:50:05 UTC
phpMyAdmin-4.5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-15 00:24:37 UTC
phpMyAdmin4-4.0.10.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-17 01:56:56 UTC
phpMyAdmin-4.4.15.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-17 02:27:18 UTC
phpMyAdmin-4.0.10.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.